<?xml version="1.0" encoding="UTF-8"?>
<SimulationModelIncludeFile
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:noNamespaceSchemaLocation="../../../../scripts/XML/SimulaXMLSchema.xsd">
	<SimulaDirective path="/plants">
		<SimulaDerivative
			name="meanLeafAreaIndex"
			function="meanLeafAreaIndex"
			unit="cm2/cm2" />
		<SimulaDerivative
			name="leafArea"
			function="sumOverAllPlantShoots"
			unit="cm2" />
		<SimulaDerivative
			name="meanExtinctionCoefficient"
			function="meanOverAllPlantShoots"
			unit="noUnit" />
		<SimulaDerivative
			name="plantArea"
			function="sumOverAllPlantShoots"
			unit="cm2">
			<SimulaConstant
				name="name"
				type="string"> areaPerPlant</SimulaConstant>
		</SimulaDerivative>
		<SimulaDerivative
			name="stomatalResistance"
			unit="s/m"
			function="stomatalResistance" />
	</SimulaDirective>

	<SimulaDirective path="/atmosphere">
		<SimulaDerivative
			function="e_a"
			name="actualVaporPressure"
			unit="hPa" />
		<SimulaDerivative
			function="aerodynamicResistance"
			name="aerodynamicResistance"
			unit="s/m" />
		<SimulaDerivative
			function="airDensity"
			name="airDensity"
			unit="kg/m3" />
		<SimulaDerivative
			function="airPressure"
			name="airPressure"
			unit="Pa" />
		<SimulaDerivative
			function="Interception"
			name="interception"
			unit="cm/day" />
		<SimulaDerivative
			function="monteithEQ"
			name="potentialEvaporation"
			unit="cm/day">
			<SimulaConstant
				name="mode"
				type="string"> evaporation
			</SimulaConstant>
		</SimulaDerivative>
		<SimulaVariable
			function="monteithEQ"
			integrationFunction="RungeKutta4"
			name="potentialTranspiration"
			unit="cm">
			<SimulaConstant
				name="mode"
				type="string"> transpiration
			</SimulaConstant>
		</SimulaVariable>
		<SimulaDerivative
			function="e_s"
			name="saturatedVaporPressure"
			unit="hPa" />
		<SimulaDerivative
			function="delta_e_s"
			name="slopeVaporPressure"
			unit="hPa/degreesC" />
		<SimulaDerivative
			function="specificHeatCapacityOfAir"
			name="specificHeatCapacityOfAir"
			unit="J/kg/degreesC" />
	</SimulaDirective>
	<SimulaBase name="dataPointTemplate">
		<SimulaLink name="aerenchymaFormation" />
		<SimulaDerivative
			function="rootClassID"
			name="combinedRootClassID" />
		<SimulaDerivative
			function="rootClassID"
			name="parentRootClassID" />
		<SimulaDerivative
			function="rootCircumference"
			name="rootCircumference"
			unit="cm" />
		<SimulaDerivative
			function="rootClassID"
			name="rootClassID" />
		<SimulaVariable
			function="secondaryGrowth"
			integrationFunction="RungeKutta4"
			name="rootDiameter"
			unit="cm"> 0 0 0
		</SimulaVariable>
		<SimulaLink name="rootHairDensity" />
		<SimulaLink name="rootHairDiameter" />
		<SimulaLink name="rootHairLength" />
		<SimulaDerivative
			function="rootSegmentRootHairSurfaceArea"
			name="rootHairSurfaceArea"
			unit="cm2/cm" />
		<SimulaDerivative
			function="rootLength2Base"
			name="rootLength2Base"
			unit="cm" />
		<SimulaDerivative
			function="rootSegmentAge"
			name="rootSegmentAge"
			unit="day" />
		<SimulaDerivative
			function="rootSegmentDryWeight"
			name="rootSegmentDryWeight"
			unit="g" />
		<SimulaDerivative
			function="rootSegmentLength"
			name="rootSegmentLength"
			unit="cm" />
		<SimulaVariable
			function="rootSegmentLength"
			integrationFunction="RungeKutta4"
			name="rootSegmentLengthDuration"
			unit="cm.day"> 0 0 0
		</SimulaVariable>
		<SimulaDerivative
			function="rootSegmentRespirationRate"
			name="rootSegmentRespiration"
			unit="g/day" />
		<SimulaDerivative
			function="rootSegmentSurfaceArea"
			name="rootSegmentSurfaceArea"
			unit="cm2" />
		<SimulaDerivative
			function="rootSegmentVolume"
			name="rootSegmentVolume"
			unit="cm3" />
		<SimulaDerivative
			function="proximity"
			name="spatialRootDensity"
			unit="cm/cm3" />
	</SimulaBase>
	<SimulaBase name="hypocotylTemplate">
		<SimulaBase name="branches" />
		<SimulaBase
			name="dataPoints"
			objectGenerator="rootDataPoints" />
		<SimulaPoint
			function="rootGrowthDirection"
			garbageCollectionOff="true"
			integrationFunction="RungeKutta4"
			name="growthpoint">
			<SimulaDerivative
				function="rootCircumference"
				name="rootCircumference"
				unit="cm" />
			<SimulaDerivative
				function="rootDiameter"
				name="rootDiameter"
				unit="cm" />
			<SimulaVariable
				function="scaledRootGrowthRate"
				integrationFunction="RungeKutta4"
				name="rootLongitudinalGrowth"
				garbageCollectionOff="true"
				unit="cm"> 0 0 0
			</SimulaVariable>
			<SimulaVariable
				function="potentialRootGrowthRate"
				integrationFunction="RungeKutta4"
				name="rootPotentialLongitudinalGrowth"
				unit="cm"> 0 0 0
			</SimulaVariable>
			<SimulaDerivative
				function="rootDiameter"
				name="rootPotentialSecondaryGrowth"
				unit="cm" />
			<SimulaConstant
				name="rootSegmentAge"
				type="double"
				unit="day"> 0
			</SimulaConstant>
			<SimulaConstant
				name="rootSegmentDryWeight"
				type="double"
				unit="g"> 0
			</SimulaConstant>
			<SimulaConstant
				name="rootSegmentLength"
				type="double"
				unit="cm"> 0
			</SimulaConstant>
			<SimulaConstant
				name="rootSegmentLengthDuration"
				type="double"
				unit="cm.day"> 0
			</SimulaConstant>
			<SimulaVariable
				function="rootNodePotentialCarbonSinkForGrowth"
				integrationFunction="RungeKutta4"
				name="rootSegmentPotentialCarbonSinkForGrowth"
				unit="g"> 0 0 0
			</SimulaVariable>
			<SimulaConstant
				name="rootSegmentRespiration"
				type="double"
				unit="g"> 0
			</SimulaConstant>
			<SimulaConstant
				name="rootSegmentSurfaceArea"
				type="double"
				unit="cm2"> 0
			</SimulaConstant>
			<SimulaConstant
				name="rootSegmentVolume"
				type="double"
				unit="cm3"> 0
			</SimulaConstant>
		</SimulaPoint>
		<SimulaDerivative
			function="rootTotal.v2"
			name="rootLength"
			unit="cm" />
		<SimulaVariable
			function="rootNutrientTotal"
			integrationFunction="RungeKutta4"
			name="rootRespiration"
			unit="g"> 0 0 0
		</SimulaVariable>
		<SimulaDerivative
			function="rootTotal.v2"
			name="rootSurfaceArea"
			unit="cm2" />
		<SimulaDerivative
			function="rootTotal.v2"
			name="rootVolume"
			unit="cm3" />
	</SimulaBase>
	<SimulaBase name="plantTemplate">
		<SimulaDerivative
			function="D95"
			name="D90"
			unit="cm">
			<SimulaConstant
				name="threshold"
				type="double"> 0.9
			</SimulaConstant>
		</SimulaDerivative>
		<SimulaVariable
			function="carbonAllocation2Roots"
			integrationFunction="RungeKutta4"
			name="carbonAllocation2Roots"
			unit="g"> 0 0 0
		</SimulaVariable>
		<SimulaVariable
			function="carbonAllocation2Shoot"
			integrationFunction="RungeKutta4"
			name="carbonAllocation2Shoot"
			unit="g"> 0 0 0
		</SimulaVariable>
		<SimulaVariable
			function="carbonAvailableForGrowth"
			integrationFunction="RungeKutta4"
			name="carbonAvailableForGrowth"
			unit="g"> 0 0 0
		</SimulaVariable>
		<SimulaVariable
			function="carbonReserves"
			integrationFunction="Heuns"
			name="carbonReserves"
			unit="g"> 0 0 0
		</SimulaVariable>
		<SimulaDerivative
			function="carbonToDryWeightRatio"
			name="carbonToDryWeightRatio"
			unit="100%" />
		<SimulaDerivative
			function="numberOfRoots"
			name="numberOffinenodalroot1"
			unit="#" />
		<SimulaDerivative
			function="numberOfRoots"
			name="numberOffinenodalroot2"
			unit="#" />
		<SimulaDerivative
			function="numberOfRoots"
			name="numberOffinenodalroot3"
			unit="#" />
		<SimulaDerivative
			function="numberOfRoots"
			name="numberOffinenodalroot4"
			unit="#" />
		<SimulaDerivative
			function="numberOfRoots"
			name="numberOffinenodalroot5"
			unit="#" />
		<SimulaDerivative
			function="numberOfRoots"
			name="numberOfnodalroot1"
			unit="#" />
		<SimulaDerivative
			function="numberOfRoots"
			name="numberOfnodalroot2"
			unit="#" />
		<SimulaDerivative
			function="numberOfRoots"
			name="numberOfnodalroot3"
			unit="#" />
		<SimulaDerivative
			function="numberOfRoots"
			name="numberOfnodalroot4"
			unit="#" />
		<SimulaDerivative
			function="numberOfRoots"
			name="numberOfnodalroot5"
			unit="#" />
		<SimulaDerivative
			function="numberOfRoots"
			name="numberOfnodalroot6"
			unit="#" />
		<SimulaDerivative
			function="numberOfRoots"
			name="numberOfnodalroot7"
			unit="#" />
		<SimulaDerivative
			function="numberOfRoots"
			name="numberOfnodalroot8"
			unit="#" />
		<SimulaDerivative
			function="numberOfRoots"
			name="numberOfnodalroot9"
			unit="#" />
		<SimulaDerivative
			function="numberOfRoots"
			name="numberOfnodalroots"
			unit="#" />
		<SimulaDerivative
			function="numberOfRoots"
			name="numberOfnodalrootsOfTiller1"
			unit="#" />
		<SimulaDerivative
			function="numberOfRoots"
			name="numberOfnodalrootsOfTiller2"
			unit="#" />
		<SimulaDerivative
			function="numberOfRoots"
			name="numberOfnodalrootsOfTillers"
			unit="#" />
		<SimulaDerivative
			function="plantCarbonBalance"
			name="plantCarbonBalance"
			unit="g" />
		<SimulaVariable
			function="plantCarbonIncomeRate"
			integrationFunction="RungeKutta4"
			name="plantCarbonIncome"
			unit="g"> 0 0 0
		</SimulaVariable>
		<SimulaDerivative
			function="plantTotal"
			name="plantDryWeight"
			unit="g" />
		<SimulaVariable
			function="plantTotal"
			integrationFunction="RungeKutta4"
			name="plantPotentialCarbonSinkForGrowth"
			unit="g"> 0 0 0
		</SimulaVariable>
		<SimulaVariable
			function="plantTotal"
			integrationFunction="RungeKutta4"
			name="plantRespiration"
			unit="g"> 0 0 0
		</SimulaVariable>
		<SimulaDerivative
			function="relativeCarbonAllocation2RootsOneMinusShoot"
			name="relativeCarbonAllocation2Roots"
			unit="100%" />
		<SimulaDerivative
			function="relativeCarbonAllocation2ShootPotentialGrowth"
			name="relativeCarbonAllocation2Shoot"
			unit="100%" />
		<SimulaVariable
			function="reservesSinkBased"
			integrationFunction="RungeKutta4"
			name="reserves"
			unit="g"> 0 0 0
		</SimulaVariable>
		<SimulaVariable
			function="carbonCostOfNutrientUptake"
			integrationFunction="RungeKutta4"
			name="rootCarbonCostOfNutrientUptake"
			unit="g"> 0 0 0
		</SimulaVariable>
		<SimulaVariable
			function="sum"
			integrationFunction="RungeKutta4"
			name="rootCarbonCosts"
			unit="g">
			0 0 0
			<SimulaConstant
				name="paths"
				type="string"> rootCarbonCostOfNutrientUptake
			</SimulaConstant>
		</SimulaVariable>
		<SimulaDerivative
			function="plantTotal"
			name="rootDryWeight"
			unit="g" />
		<SimulaVariable
			function="rootGrowthScalingFactor"
			integrationFunction="RungeKutta4"
			name="rootGrowthScalingFactor"
			unit="100%"> 0 0 0
		</SimulaVariable>
		<SimulaDerivative
			function="plantTotal"
			name="rootLength"
			unit="cm" />
		<SimulaDerivative
			function="plantTotal"
			name="rootLength;finelaterals"
			unit="cm" />
		<SimulaDerivative
			function="plantTotal"
			name="rootLength;laterals"
			unit="cm" />
		<SimulaDerivative
			function="plantTotal"
			name="rootLength;majorAxis"
			unit="cm" />
		<SimulaVariable
			function="plantTotal"
			integrationFunction="RungeKutta4"
			name="rootLongitudinalGrowth"
			unit="cm"> 0 0 0
		</SimulaVariable>
		<SimulaVariable
			function="plantTotal"
			integrationFunction="RungeKutta4"
			name="rootPotentialCarbonSinkForGrowth"
			unit="g"> 0 0 0
		</SimulaVariable>
		<SimulaVariable
			function="plantTotal"
			integrationFunction="RungeKutta4"
			name="rootRespiration"
			unit="g"> 0 0 0
		</SimulaVariable>
		<SimulaDerivative
			function="plantTotal"
			name="rootSurfaceArea"
			unit="cm2" />
		<SimulaDerivative
			function="plantTotal"
			name="rootVolume"
			unit="cm3" />
		<SimulaDerivative
			function="plantTotal"
			name="shootDryWeight"
			unit="g" />
		<SimulaVariable
			function="plantTotal"
			integrationFunction="RungeKutta4"
			name="shootPotentialCarbonSinkForGrowth"
			unit="g"> 0 0 0
		</SimulaVariable>
		<SimulaVariable
			function="plantTotal"
			integrationFunction="RungeKutta4"
			name="shootRespiration"
			unit="g"> 0 0 0
		</SimulaVariable>
		<SimulaDerivative
			function="stressFactor"
			name="stressFactor" />
		<SimulaDerivative
			function="stressFactor"
			name="stressFactor:impactOn:leafAreaExpantionRate" />
		<SimulaDerivative
			function="stressFactor"
			name="stressFactor:impactOn:leafRespiration" />
		<SimulaDerivative
			function="stressFactor"
			name="stressFactor:impactOn:photosynthesis" />
		<SimulaDerivative
			function="stressFactor"
			name="stressFactor:impactOn:rootPotentialLongitudinalGrowthMultiplier" />
		<SimulaDerivative
			function="stressFactor"
			name="stressFactor:impactOn:rootSegmentRespiration" />
		<SimulaDerivative
			function="stressFactor"
			name="stressFactor:impactOn:stemRespiration" />
		<SimulaDerivative
			function="stressFactor"
			name="stressFactor:impactOn:tillerFormation" />
		<SimulaDerivative
			function="stressFactor"
			name="stressFactor:impactOn:tillerFormation1" />
		<SimulaDerivative
			function="stressFactor"
			name="stressFactor:impactOn:tillerFormation2" />
		
		
		
	</SimulaBase>
	<SimulaBase name="shootTemplate">
		<SimulaLink name="areaPerPlant" />
		<SimulaVariable
			function="carbonAllocation2Leafs"
			integrationFunction="RungeKutta4"
			name="carbonAllocation2Leafs"
			unit="g"> 0 0 0
		</SimulaVariable>
		<SimulaVariable
			function="carbonAllocation2Stems"
			integrationFunction="RungeKutta4"
			name="carbonAllocation2Stems"
			unit="g"> 0 0 0
		</SimulaVariable>
		<SimulaLink name="extinctionCoefficient" />
		<SimulaVariable
			function="leafArea"
			integrationFunction="RungeKutta4"
			name="leafArea"
			unit="cm2"> 0 0 0
		</SimulaVariable>
		<SimulaDerivative
			function="leafAreaIndex"
			name="leafAreaIndex"
			unit="cm2/cm2" />
		<SimulaDerivative
			function="leafAreaReductionCoefficient"
			name="leafAreaReductionCoefficient"
			unit="cm2/cm2" />
		<SimulaVariable
			function="leafDryWeight.v2"
			integrationFunction="RungeKutta4"
			name="leafDryWeight"
			unit="g"> 0 0 0
		</SimulaVariable>
		<SimulaVariable
			function="leafPotentialCarbonSinkForGrowth"
			integrationFunction="RungeKutta4"
			name="leafPotentialCarbonSinkForGrowth"
			unit="g"> 0 0 0
		</SimulaVariable>
		<SimulaVariable
			function="leafRespirationRate"
			integrationFunction="RungeKutta4"
			name="leafRespiration"
			unit="g"> 0 0 0
		</SimulaVariable>
		<SimulaDerivative
			function="lightInterception"
			name="lightInterception"
			unit="umol/cm2/day" />
		<SimulaBase name="mainShoot">
			<SimulaVariable
				function="constantLeafGrowthRate"
				integrationFunction="RungeKutta4"
				name="potentialLeafArea"
				unit="cm2"> 0 0 0
			</SimulaVariable>
		</SimulaBase>
		<SimulaVariable
			function="photosynthesisLintulV2"
			integrationFunction="RungeKutta4"
			name="photosynthesis"
			unit="g"> 0 0 0
		</SimulaVariable>
		<SimulaVariable
			function="constantLeafGrowthRate"
			integrationFunction="RungeKutta4"
			name="potentialLeafArea"
			unit="cm2"> 0 0 0
		</SimulaVariable>
		<SimulaDerivative
			function="numberOfTillers"
			name="potentialTiller1"
			objectGenerator="tillerFormation"
			unit="#" >
			<SimulaConstant name="tillerType" type="string">Tiller1</SimulaConstant>
			</SimulaDerivative>
		<SimulaDerivative
			function="numberOfTillers"
			name="potentialTiller2"
			objectGenerator="tillerFormation"
			unit="#" >
			<SimulaConstant name="tillerType" type="string">Tiller2</SimulaConstant>
			</SimulaDerivative>
		<SimulaDerivative
			function="numberOfTillers"
			name="potentialTillers"
			objectGenerator="tillerFormation"
			unit="#" />
		<SimulaVariable
			function="potentialTranspirationCrop"
			integrationFunction="RungeKutta4"
			name="potentialTranspiration"
			unit="cm3"> 0 0 0
		</SimulaVariable>
		<SimulaDerivative
			function="relativeCarbonAllocation2LeafsFromInputFile"
			name="relativeCarbonAllocation2Leafs"
			unit="100%" />
		<SimulaDerivative
			function="relativeCarbonAllocation2StemsOneMinusLeafs"
			name="relativeCarbonAllocation2Stems"
			unit="100%" />
		<SimulaVariable
			function="stemDryWeight"
			integrationFunction="RungeKutta4"
			name="stemDryWeight"
			unit="g"> 0 0 0
		</SimulaVariable>
		<SimulaVariable
			function="stemPotentialCarbonSinkForGrowth"
			integrationFunction="RungeKutta4"
			name="stemPotentialCarbonSinkForGrowth"
			unit="g"> 0 0 0
		</SimulaVariable>
		<SimulaVariable
			function="stemRespirationRate"
			integrationFunction="RungeKutta4"
			name="stemRespiration"
			unit="g"> 0 0 0
		</SimulaVariable>
		<SimulaVariable
			function="stressAdjustedPotentialLeafGrowthRate"
			integrationFunction="RungeKutta4"
			name="stressAdjustedPotentialLeafArea"
			unit="cm2"> 0 0 0
		</SimulaVariable>
		<SimulaDerivative
			function="numberOfTillers"
			name="tiller1"
			objectGenerator="tillerFormation"
			unit="#" >
			<SimulaConstant name="tillerType" type="string">Tiller1</SimulaConstant>
			</SimulaDerivative>
		<SimulaDerivative
			function="numberOfTillers"
			name="tiller2"
			objectGenerator="tillerFormation"
			unit="#" >
			<SimulaConstant name="tillerType" type="string">Tiller2</SimulaConstant>
			</SimulaDerivative>
		<SimulaDerivative
			function="numberOfTillers"
			name="tillers"
			objectGenerator="tillerFormation"
			unit="#" />
	</SimulaBase>
	<SimulaBase name="siblingRootTemplate">
		<SimulaBase name="branches" />
		<SimulaBase
			name="dataPoints"
			objectGenerator="rootDataPoints" />
		<SimulaPoint
			function="rootGrowthDirection"
			garbageCollectionOff="true"
			integrationFunction="RungeKutta4"
			name="growthpoint">
			0 0 0 0 0 0 0
			<SimulaDerivative
				function="rootCircumference"
				name="rootCircumference"
				unit="cm" />
			<SimulaDerivative
				function="rootDiameter"
				name="rootDiameter"
				unit="cm" />
			<SimulaVariable
				function="scaledRootGrowthRate"
				integrationFunction="RungeKutta4"
				name="rootLongitudinalGrowth"
				garbageCollectionOff="true"
				unit="cm"> 0 0 0
			</SimulaVariable>
			<SimulaVariable
				function="potentialRootGrowthRate"
				integrationFunction="RungeKutta4"
				name="rootPotentialLongitudinalGrowth"
				unit="cm"> 0 0 0
			</SimulaVariable>
			<SimulaConstant
				name="rootSegmentAge"
				type="double"
				unit="day"> 0
			</SimulaConstant>
			<SimulaConstant
				name="rootSegmentDryWeight"
				type="double"
				unit="g"> 0
			</SimulaConstant>
			<SimulaConstant
				name="rootSegmentLength"
				type="double"
				unit="cm"> 0
			</SimulaConstant>
			<SimulaConstant
				name="rootSegmentLengthDuration"
				type="double"
				unit="cm.day"> 0
			</SimulaConstant>
			<SimulaVariable
				function="rootNodePotentialCarbonSinkForGrowth"
				integrationFunction="RungeKutta4"
				name="rootSegmentPotentialCarbonSinkForGrowth"
				unit="g"> 0 0 0
			</SimulaVariable>
			<SimulaConstant
				name="rootSegmentRespiration"
				type="double"
				unit="g"> 0
			</SimulaConstant>
			<SimulaConstant
				name="rootSegmentSpecificWeight"
				type="double"
				unit="g/cm3"> 0
			</SimulaConstant>
			<SimulaConstant
				name="rootSegmentSurfaceArea"
				type="double"
				unit="cm2"> 0
			</SimulaConstant>
			<SimulaConstant
				name="rootSegmentVolume"
				type="double"
				unit="cm3"> 0
			</SimulaConstant>
		</SimulaPoint>
		<SimulaDerivative
			function="rootNutrientTotal"
			name="rootDryWeight"
			unit="g" />
		<SimulaDerivative
			function="rootTotal.v2"
			name="rootLength"
			unit="cm" />
		<SimulaVariable
			function="rootNutrientTotal"
			integrationFunction="RungeKutta4"
			name="rootRespiration"
			unit="g"> 0 0 0
		</SimulaVariable>
		<SimulaDerivative
			function="rootTotal.v2"
			name="rootSurfaceArea"
			unit="cm2" />
		<SimulaDerivative
			function="rootSystemNutrientTotal"
			name="rootSystemDryWeight"
			unit="g" />
		<SimulaDerivative
			function="rootSystemNutrientTotal"
			name="rootSystemLength"
			unit="cm" />
		<SimulaDerivative
			function="rootSystemNutrientTotal"
			name="rootSystemLength;finelaterals"
			unit="cm">
			<SimulaConstant
				name="includedRootClasses"
				type="string"> finelateral
			</SimulaConstant>
		</SimulaDerivative>
		<SimulaDerivative
			function="rootSystemNutrientTotal"
			name="rootSystemLength;laterals"
			unit="cm">
			<SimulaConstant
				name="includedRootClasses"
				type="string"> lateral
			</SimulaConstant>
		</SimulaDerivative>
		<SimulaDerivative
			function="rootSystemNutrientTotal"
			name="rootSystemLength;majorAxis"
			unit="cm">
			<SimulaConstant
				name="includedRootClasses"
				type="string"> hypocotyl, primaryRoot,
				nodalroots,nodalroot1,nodalroot2,nodalroot3,nodalroot4,nodalroot5,nodalroot6,nodalroot7,nodalroot8,nodalroot9,
				finenodalroot1,finenodalroot2,finenodalroot3,finenodalroot4,finenodalroot5,nodalrootsOfTillers,nodalrootsOfTiller1,nodalrootsOfTiller2
			</SimulaConstant>
		</SimulaDerivative>
		<SimulaVariable
			function="rootSystemNutrientTotal"
			integrationFunction="RungeKutta4"
			name="rootSystemLongitudinalGrowth"
			unit="cm"> 0 0 0
		</SimulaVariable>
		<SimulaVariable
			function="rootSystemNutrientTotal"
			integrationFunction="RungeKutta4"
			name="rootSystemPotentialCarbonSinkForGrowth"
			unit="g"> 0 0 0
		</SimulaVariable>
		<SimulaVariable
			function="rootSystemNutrientTotal"
			integrationFunction="RungeKutta4"
			name="rootSystemRespiration"
			unit="g"> 0 0 0
		</SimulaVariable>
		<SimulaDerivative
			function="rootSystemNutrientTotal"
			name="rootSystemSurfaceArea"
			unit="cm2" />
		<SimulaDerivative
			function="rootSystemNutrientTotal"
			name="rootSystemVolume"
			unit="cm3" />
		<SimulaDerivative
			function="rootTotal.v2"
			name="rootVolume"
			unit="cm3" />
	</SimulaBase>
	<SimulaBase name="tillerTemplate">
		<SimulaVariable
			function="constantLeafGrowthRate"
			integrationFunction="RungeKutta4"
			name="potentialLeafArea"
			unit="cm2"> 0 0 0
		</SimulaVariable>
	</SimulaBase>
</SimulationModelIncludeFile>